#define _USE_MATH_DEFINES
#include<iostream>
#include<sstream> 
#include<cmath>
#include<math.h>
#include<iomanip>
#include<algorithm>
#include<vector>
#include<conio.h>
#include<numeric>
#include<map>
#include<set>
#include<stack>
#include<stdlib.h>  
#include<unordered_map>
#include<queue>
using namespace std;

#define int long long
#define forn(i,n) for(int i=0;i<n;i++)
#define prefix(i,n) for(int i=1;i<n;i++)




int32_t main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int x, y;
    cin >> y >> x;
    if (y == 1) { cout << x; return 0; }

    int ans = 2 * x + 2 * (y - 2) + ((x - 2) * (y - 2) / 2);
    cout << ans;
    return 0;
}